Bug 85832 - Draw crashes continuously while working on a drawing diagram
Summary: Draw crashes continuously while working on a drawing diagram
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: confirmed:4.3.3.2:windows noRepro:4.3...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-04 03:35 UTC by Robert
Modified: 2014-11-14 19:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Diagram file attached (286.03 KB, application/vnd.oasis.opendocument.graphics)
2014-11-04 03:35 UTC, Robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert 2014-11-04 03:35:58 UTC
Created attachment 108870 [details]
Diagram file attached

1. Working on a drawing schematic diagram.
2. Opening exiting drawing and making modifications to it.
3. Zooming in to an area and then adding graphic art, changing the size of the art and then adding text to name the art.
4. As I do this, after a few clicks and changes to the graphic artwork without saving and libreoffice draw closes unexpectedly.
5. Today (03Nov2014) had to save after every couple changes as draw would close.
6. The only work around was to save after every change and then let draw/libreoffice restore the odg file after every close.

NOTE:  This may be similar to bugs 74889 and 80009 however if this was supposedly fix and released in version 4.3.3.2 then it is still a problem.  

Attached file:  Unsure if I had an extension installed.  Opening the file at home and the app closed again which I then had to resolve it again to open it.
Comment 1 V Stuart Foote 2014-11-11 05:00:56 UTC
@Robert,

Confirmed on 4.3.3.2, but please download a current build of master (install in parallel if you prefer) and retest.

I was able to make a dozen changes (rescale, moves, etc.) to sample document with current build of 4.4.0alpah2+ master. On Windows 7 sp1, 64-bit en-US

Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43

Same system with
Version: 4.3.3.2
Build ID: 9bb7eadab57b6755b1265afa86e04bf45fbfc644
would crash as reported.

Suspect drawinglayer memory work on bug 84729 to have resolved this, but will poke at it further. Meanwhile check a current build of master and let us know.

Stuart
Comment 2 V Stuart Foote 2014-11-11 14:32:47 UTC
@Robert,

The 4.3.4.1 release candidate was posted up today, so if more comfortable you might prefer to test with that rather than a current build of master or the 4.4.0alpha2.

http://dev-builds.libreoffice.org/pre-releases

If all is good, please mark this Resolved Worksforme.

Stuart